package
{
import flash.display.*;
import flash.text.*;
import vgmplayer.*;

public class Main extends Sprite
{
    [Embed(source="cov_batman_rotj.vgz",mimeType="application/octet-stream")]
    private static var testVGM:Class;
 
    private var VGM:VGMPlayer;

 
    public function Main():void
    {
        stage.scaleMode=StageScaleMode.NO_SCALE;
        stage.align=StageAlign.TOP_LEFT;
        stage.frameRate=25;

        VGM=new VGMPlayer();
        VGM.load(testVGM);
        VGM.play();
 
        addLabel(0,0, "AS3 VGM Player v1.12 by Shiru, 01'10");

        addLabel(0,25,"Track Name:");
        addLabel(0,40,"Game Name:");
        addLabel(0,55,"System Name:");
        addLabel(0,70,"Original Author:");
        addLabel(0,85,"Release Date:");
        addLabel(0,100,"Who Converted:");

        addLabel(140,25,VGM.getTrackName());
        addLabel(140,40,VGM.getGameName());
        addLabel(140,55,VGM.getSystemName());
        addLabel(140,70,VGM.getOriginalAuthor());
        addLabel(140,85,VGM.getReleaseDate());
        addLabel(140,100,VGM.getWhoConverted());
    }
 
    private function addLabel(x:Number,y:Number,str:String):TextField
    {
        var format:TextFormat=new TextFormat();
        format.font="Verdana";
        format.size=15;
        format.color=0xffffff;

        var text:TextField=new TextField();
        text.defaultTextFormat=format;
        text.autoSize=TextFieldAutoSize.LEFT;
        text.text=str;
        text.x=x;
        text.y=y;
        stage.addChild(text);
 
        return text;
    }
}
}